> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/publishers/es/vast/custom-tracking-urls.md).

# URL de seguimiento personalizadas VAST

## Definición

El anuncio Wrapper puede incluir cualquier número de URL de seguimiento para permitir que las campañas se sirvan desde una respuesta InLine, pero se rastreen por separado de la impresión. También puede incluir elementos de seguimiento para rastrear por separado vistas o eventos lineales o no lineales. Es posible que el servidor que proporciona la respuesta del anuncio Wrapper no sepa exactamente qué elementos creativos se entregarán posteriormente en anuncios InLine; en este caso, el Wrapper debe incluir marcadores de posición para el conjunto máximo de creativos que podría reproducirse dentro del reproductor de video.

Las URL de seguimiento personalizadas tienen 2 parámetros:

* `evento` El nombre del evento a rastrear. El `creativeView` debe solicitarse siempre cuando esté presente.
  * El mismo evento puede agregarse varias veces, pero cada uno debe tener **una URI única**.
* `URL` URI para rastrear varios eventos durante la reproducción.
  * La misma URI puede agregarse varias veces, pero cada una debe tener **un evento único**.
  * La URL debe tener solo ***https*** protocolo.

## Ejemplo

```xml
<Tracking id="custom_1" event="creativeView"><![CDATA[https://mytrackingsolution.com/vregister.php?a=vview&tracking_event=creativeView&idzone=22222&data=abcd]]></Tracking>
```

## Eventos de seguimiento compatibles `tracking_event` para `Creativo` > `Lineal` > `Eventos de seguimiento` > `Seguimiento` en la etiqueta VAST (enlace) o en la etiqueta contenedora VAST (enlace)

| Evento             | Explicación                                                   |
| ------------------ | ------------------------------------------------------------- |
| creativeView       | Se activa cuando el creativo se muestra.                      |
| inicio             | Se activa cuando el anuncio lineal comienza a reproducirse.   |
| punto medio        | Se activa cuando el anuncio lineal alcanza el punto medio.    |
| primer cuartil     | Se activa cuando el anuncio lineal alcanza el primer cuartil. |
| tercer cuartil     | Se activa cuando el anuncio lineal alcanza el tercer cuartil. |
| completado         | Se activa cuando el anuncio lineal alcanza el punto final.    |
| silenciar          | Se activa cuando se silencia el anuncio lineal.               |
| quitar silencio    | Se activa cuando se quita el silencio del anuncio lineal.     |
| pausar             | Se activa cuando el anuncio lineal se pausa.                  |
| rebobinar          | Se activa cuando se rebobina el anuncio lineal.               |
| reanudar           | Se activa cuando se reanuda el anuncio lineal.                |
| pantalla completa  | Se activa cuando el anuncio lineal está en pantalla completa. |
| expandir           | Se activa cuando el anuncio lineal se expande.                |
| contraer           | Se activa cuando el anuncio lineal se contrae.                |
| aceptar invitación | Se activa cuando se acepta el anuncio lineal.                 |
| cerrar             | Se activa cuando el anuncio lineal se cierra.                 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exoclick.com/publishers/es/vast/custom-tracking-urls.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
